Try it free

Platform tokens API - PUT a platform token expiration date

  • Latest Dynatrace
  • Reference
  • Published Dec 04, 2025

Updates the expiration date of a platform token in an account.

The request consumes an application/json payload.

PUT

https://api.dynatrace.com/iam/v1/accounts/{accountUuid}/platform-tokens/{platformTokenId}/expiration-date

Authentication

To execute this request, you need an OAuth client with the platform-token:tokens:manage scope assigned. For user-level authorization, the user should either have the user-management role assigned or a policy assigned that includes the statement ALLOW platform-token:tokens:manage;.

Parameters

ParameterTypeDescriptionInRequired
accountUuidstring

The ID of the required account.

You can find the UUID on the Account Management > Identity & access management > OAuth clients page, during creation of an OAuth client.

pathRequired
platformTokenIdstring-pathRequired
bodyPlatformTokenExpirationDateDto

The JSON body of the request. Contains the new expiration date of platform token

bodyRequired

Request body objects

The PlatformTokenExpirationDateDto object

ElementTypeDescriptionRequired
expirationDatestring-Required

Request body JSON model

This is a model of the request body, showing the possible elements. It has to be adjusted for usage in an actual request.

{
"expirationDate": "string"
}

Response

Response codes

CodeDescription
200

Successful response - platform tokens fetched.

Example

In this example, the request updates the expiration date of a platform token. It updates a platform token with tokenId dt0s16.TYUHJKNM for the account with accountUuid 2b794097-8ad2-4b32-b923-0131da2eeddf.

Curl

curl -X 'PUT' \
'https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM/expiration-date' \
-H 'accept: */*' \
-H 'Authorization: Bearer eywedGciOiJFUzI1NiIsInR7cCI6IkpCDVIsImtpZCI6IjEifQ' \
-H 'Content-Type: application/json' \
-d '{
"expirationDate": "2025-06-21T08:10:30.369Z"
}'

Request URL

https://api-dev.internal.dynatracelabs.com/iam/v1/accounts/2b794097-8ad2-4b32-b923-0131da2eeddf/platform-tokens/dt0s16.TYUHJKNM/expiration-date

Request body

{
"expirationDate": "2025-06-21T08:10:30.369Z"
}

Response code

200